The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Вышла первая, независимая от OpenSolaris, сборка проекта OpenIndiana

18.12.2010 09:32

Представлена 148 экспериментальная сборка дистрибутива OpenIndiana, в рамках которого создано полностью свободное и развиваемое независимым сообществом ответвление от кодовой базы OpenSolaris. OpenIndiana построен на кодовой базе Illumos и предоставляет пользователю полностью работающее из коробки Solaris-окружение. Размер установочного iso-образа составляет 878 Мб.

В новой версии осуществлено бэкпортирование разнообразных изменений, произведенных проектом Illumos; до версии 256.44 обновлен драйвер nvidia; исправлены проблемы с интернационализацией Firefox и Thunderbird; в состав дистрибутива включена СУБД PostgreSQL; решены проблемы с поддержкой SSL-шифрования в Java; проведена работа по устранению ошибок в работе почтового клиента Evolution; исправлены разнообразные ошибки.

  1. Главная ссылка к новости (http://openindiana.org/2010/12...)
  2. OpenNews: На смену OpenSolaris пришел дистрибутив OpenIndiana
  3. OpenNews: В рамках проекта Illumos официально создано ответвление от OpenSolaris
  4. OpenNews: Релиз Nexenta Core Platform 3.0. Пути Illumos и OpenSolaris начинают расходиться
Лицензия: CC-BY
Тип: Программы
Короткая ссылка: https://opennet.ru/29038-solaris
Ключевые слова: solaris, opensolaris, Illumos, OpenIndiana
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (33) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Wormik (ok), 10:38, 18/12/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Ура! Результат есть! Щас на флешку залью через unetbootin, погляжу чего поменялось.
     
  • 1.2, Вова (?), 10:59, 18/12/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    На той неделе помучился с wifi-usb-тычками под линукс. Особенно бесило, когда драйверок не собирался, ввиду того, что метод усб_маллок_пам_парам был переименован в усб_маллок_трататам, и о какой широкой поддержке железа в линукс может идти речь при таких никчёмных и ненужных изменениях АПИ? Система, в которой будет предоставлен не требующий изменений ввиду своей чёткости АПИ для написания драйверов будет иметь будущее - будущее за счёт мигрировавших пользователей линукс. Вот на это, наверное, рассчитывают все бсд/солярисы/миниксы. "Мы пишем свой линукс! без блекджеков и шлюх!".
    Не знаю, впрочем, как там с написанием драйверов под эти системы, может ли быть подобное ситуации, где под 2.6.32 работает код, в 2.6.34 другой и не работает, в 36 уже третий, и тоже, само собой не работает.
    Вообще почему бы драйверу не существовать в виде бинарника под определённый набор команд процессора + опенсорсная обвязка, обрабатывающая специфичные для ОС вызовы/АПИ?
    Если такой детсад по всему коду ядра линукс, то шансы "отбить процент" от линуксовых пользователей у бсд/соляриса более чем велики. Опять же вспоминаем анестезиолога Коливаса, на коленке упростившего и улучившего линуксовый скедулер.  
    И кому же тут не быть первым, как не солярису, авторитетной системе с (будем надеяться) малым количеством индусского кода?
     
     
  • 2.3, prapor (??), 11:41, 18/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    Опять двадцатьпять. Сколько раз говорили про stable api nonsence? Думаете, просто так выделяют LTS ветки ядра? Всё, о чём Вы только подумали, уже давно обсудили умные дяди и решили чего и как делать.
     
     
  • 3.5, анон (?), 12:53, 18/12/2010 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Умные дяди делают хорошо только себе. А конкуренты всегда напарываются на кучу регрессий и сертифицированных неадекватов в багзиле.
    Вы как первый раз про линукс услышали
     
     
  • 4.17, User294 (ok), 01:03, 19/12/2010 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > Умные дяди делают хорошо только себе. А конкуренты всегда напарываются на кучу
    > регрессий и сертифицированных неадекватов в багзиле.

    А кто такие конкуренты в случае опенсорца? А что до сертифицированных неадекватов - ну попробуйте закатать тикет другим коммерческим вендорам. Посмотрим как вам понравится, ага. Особенно когда сертифицированные дебилы из саппорта будут полгода вам мозг канифолить до того как закрыть тикет с левой причиной. Вы как будто только вчера на свет появились.

    P.S. а кстати кто является сертифицированным неадекватом в багзилле майнлайна?

     
     
  • 5.21, prapor (??), 03:51, 19/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    > А кто такие конкуренты в случае опенсорца? А что до сертифицированных неадекватов
    > - ну попробуйте закатать тикет другим коммерческим вендорам. Посмотрим как вам
    > понравится, ага. Особенно когда сертифицированные дебилы из саппорта будут полгода вам
    > мозг канифолить до того как закрыть тикет с левой причиной. Вы
    > как будто только вчера на свет появились.

    По этой причине начальство отбивается от моих намёков на решения от Red Hat постоянно уходя на предложения Oracle ? чтобы не переводили стрелки.

     
  • 3.6, deadless (?), 13:13, 18/12/2010 [^] [^^] [^^^] [ответить]  
  • +7 +/
    stable api nonsence = stable linux nonsence это вот абсолютно на 100% так.
    Сам буквально неделю назад нарвался на этот ваш нонсенс. Есть такой варез, очень даже production применения называется MetaSAN - арбитр san устройств, так вот там 3 модуля ядра. Варез обновляется не так часто как штампуют ядра линукса. Последний релиз лето этого года. Под Centos 5.5 оно очень даже грузится и работает. Да ядро там конечно 2.6.18, стухло оно или протухло как выражается юзер294 я не знаю, но до недавнего времени это был последний из продакшен дистров от RH. Сейчас RHEL 6, скоро будет CentOS 6, так вот эти модули ядра там не грузятся, правильно это же нонсенс! Когда выпустят новую версию MetaSAN под последнее измененное api пока неизвестно.

    Все эти нонсенсы это бредни торвальдса и неумение сразу разработать правильный дизайн, спросите у любого девелопера подо что труднее всего писать дрова он вам скажет что под линукс, с этим его нонсенсом. Понятно что это вода на мельницу торвальдса, а для капиталистов повод выпустить новую версию вареза, и поновой ее продать.

     
     
  • 4.8, linux_must_die (ok), 14:01, 18/12/2010 [^] [^^] [^^^] [ответить]  
  • –5 +/
    ты как с луны свалилсо.. под линакс мы не используем проприетарь, мы используем аналогичный софт с богатым функционалом и открытым исходным кодом. такого софта полно в репозиториях любого дистрибутива, а по функционалу он в разы превосходит фотожоп,автокад и другие богомерзкие отрыжки капитализма.
    если такого софта еще нет, ты садишься и пишешь его на коленке. и выкладываешь под GPL
     
     
  • 5.12, deadless (?), 18:34, 18/12/2010 [^] [^^] [^^^] [ответить]  
  • –1 +/
    нука покажи мне где полно аналогов MetaSAN в каком конкретно репозитарии любого дистрибутива? Даю наводку автокад, фотошоп и прочие перделки свистелки мне на ... не нужны, покажи мне аналог хотябы одного свободного арбитра для SAN?
    Нету? Нука напиши мне тут на коленке реско.
    Тут люди бабло подымают, а х%етой в фотошопе маются.
    Основа вашего линукса это RH видимо оно тоже богомерская отрыжка капитализма. На коленке к вашему сведению и практически за бесплатно пилится практически весь bsd софт, а в линуксе крутятся вполне конкретные деньги.
     
     
  • 6.22, Аноним (-), 08:09, 19/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    вообще-то это была ирония, если ты не понял
     
  • 4.20, prapor (??), 03:48, 19/12/2010 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Есть у меня в "хозяйстве" штука именуемая HP EVA и Emulex HBA в блейдах от того же HP. Так вот с 5.2 у них multipulse работает, а вот под 5.3 уже нет. Что видим в результате: nvidia, которая осилила dkms (я на своём домашнем Debian изощеряюсь вплоть до rc* версий ядра ничего особо не делая с драйвером) и HP который не осилил под официально поддерживаемый дистрибутив сделать драйвера.
     
  • 4.24, Аноним (-), 09:02, 19/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    Ммм... ну хорошо, а что им мешает сделать блоб + связку, как это сделала нвидия? (а это все-таки драйвер видяхи, т.е. мягко говоря посложнее будет, чем какого-то там арбитра SAN)
     
     
  • 5.29, deadless (?), 16:30, 19/12/2010 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Да я понял, ты не в теме абсолютно, у тебя вместо фотошопа запускаеццо gimp и тебе больше ничего не надо. У меня он собсно и на фре запускаецо и все остальные 22 с гаком тыщи портов тоже запускаюцо. Тока вот на установке и настройке гимпов, как и всяких экзимов, постфиксов и прочего LAMP бабла не сделаешь, так на перекус в башмачной хватит.

    user294 вроде тоже проблем не испытывает, главное у него правильный вафляй и он работает, все остальное что не работает в линуксе это шлак, хлам, бред и тд. Позиция понятна, фигли.. Только хрен он сможет на своем суперновом ядре запустить те 3 модуля от метасана, хоть с бубном хоть без :)

     
     
  • 6.35, Аноним (-), 11:27, 22/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    Мммм... очередной телепат. Который не в теме сложности видеодров, как я понял (точно также, телепатически).
     
  • 6.36, fr0ster (ok), 13:17, 02/02/2011 [^] [^^] [^^^] [ответить]  
  • +/
    В консерватории менять ничего не пробовали?
     
  • 2.4, Zenitur (?), 12:31, 18/12/2010 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Поделюсь и я наблюдением что ли... Программировал один раз в жизни. Когда запускал второй виртуалбокс в последних иксах, gcc и ядре 2.6.35. Зачем? Чтобы было Qt 3. Впрочем почти все исправления находились гуглом, и только три решились с официальной брошюркой gcc о том, что надо поменять в кодах программ при миграции на 4.4

    Получился патч из 9 исправлений. Одно из них - в ядре. Разработчики виртуалбокса заметили, что в очередном git драйвер надо немного изменить. Очень оперативно кстати.

    В релизах VMWare кстати тоже пишут о "оптимизации под 2.6.36, 2.6.33" и так далее. Видимо это обычное дело! В виртуалбоксе такой результат изменения API судя по моему патчу был первый раз за 15 релизов ядра.

     
  • 2.14, ананим (?), 22:00, 18/12/2010 [^] [^^] [^^^] [ответить]  
  • –3 +/
    >Вообще почему бы драйверу не существовать в виде бинарника под определённый набор команд процессора + опенсорсная обвязка, обрабатывающая специфичные для ОС вызовы/АПИ?

    а почему бы тебе, Вова, самому свою ОС не написать?
    понимаю, звучит банально. но, не нравится, не используй.
    тем более в новости про солярку.
    >Если такой детсад по всему коду ядра линукс, то шансы "отбить процент" от линуксовых пользователей у бсд/соляриса более чем велики.

    угу. отбивай.

     
  • 2.16, User294 (ok), 00:59, 19/12/2010 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Извиняюсь, а что вообще за левотень что драйвер для нее почему-то еще не в майнл... большой текст свёрнут, показать
     
     
  • 3.25, Вова (?), 11:19, 19/12/2010 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >> На той неделе помучился с wifi-usb-тычками под линукс. Особенно бесило, когда драйверок
    >> не собирался,
    > Извиняюсь, а что вообще за левотень что драйвер для нее почему-то еще
    > не в майнлайне?

    Сделаю твой спам полезным, отпишусь тут для людей, которые собираются покупать современный дешёвый усб-вайфай адаптер для раздачи:


    Dlink dwa-131 - хит продаж в данной категории, самый красивый усб-свисток на мой вкус: увы, так и не заработал как ап/ад-хок, только менеджед режим. В iwconfig выставляется 'master' моде, но реально соединение с адаптером невозможно.

    Dlink dwa-140 - должен, по идее, работать как ап в линукс, так как раньше люди умели это делать, но увы - начиная с какой-то версии после 2.6.32, теперь он работает только в ад-хок, и при этом не всем виден. В ад-хок некоторые ноуты его видели, в принципе задача решалась, с оговорками и костылями.


    TP-Link TL-WN821N - всё работает, с драйверами НЕ из мейнлайна (carl9170). драйвер + фирмваре + маленький hostapd.conf, всё заработает.

    Вообще ориентироваться надо по чипу: atheros, что в WN821n, работает как и в этом адаптере, так и в домашнем ноуте. realtek 2870  - когда-то работал, теперь его поддержка (временно?) ухудшена.

    Пытался использовать драйвера как через ndiswrapper, так и "мейнлайн" staging дрова, так и из с сторонних проектов (carl9170). При использовании ndiswrapper  и сторонних драйверов необходимо родные rt* модули заносить в modprobe blacklist

    Изменение имени функции, про которое я упомянул - usb_alloc_buffer  и  usb_alloc_coherent

    В любой приличной команде разработчиков за такой саботаж должны давать по шее.

    Дискутировать на эту тему - не собираюсь.

     
  • 2.18, pavlinux (ok), 02:34, 19/12/2010 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Кто Вас заставлял ядро тащить с kernel.org?
    Поставил дистриб - юзай его репозитории.  
     
  • 2.32, nmorozov (ok), 10:31, 20/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    >Вот на это, наверное, рассчитывают все бсд/солярисы/миниксы. "Мы пишем свой линукс! без >блекджеков и шлюх!".

    Кто бы мог подумать, что солярис и бсд пишут свой линукс. Учитывая то когда появились солярис и бсд никакого линукса небыло...

     

  • 1.9, Max (??), 15:34, 18/12/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Вывод команды zpool upgrade -v напишите плиз, если кто ставил эту сборку...

    p.s. достали красноглазые монстры

     
  • 1.10, Аноним (-), 16:20, 18/12/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    как там у них обстоят дела с заменой закрытых компонентов?
     
     
  • 2.33, vle (ok), 15:27, 20/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    Насколько я знаю, кое что в плане юзерспейса брали из FreeBSD,
    конечно, меняя для себя, по официальной версии вроде для лучшего
    соответствия стандартам. Чем это закончилось, я не в курсе,
    за из hg не слежу. Рассматривался вариант AST.
    Кололись и плакались, обсуждая варианты отказа от SunStudio.
     

  • 1.13, FPGA (ok), 19:09, 18/12/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • –3 +/
    > Опять двадцатьпять. Сколько раз говорили про stable api nonsence? Думаете, просто так выделяют LTS ветки ядра? Всё, о чём Вы только подумали, уже давно обсудили умные дяди и решили чего и как делать.

    LTS ветки ядра Linux? Слышали о таких. Однако совместимость исходного кода стороннего модуля ядра НЕ гарантирована в рамках одной ветки до следующей LTS. Например, 2.6.15 LTS -> 2.6.25 LTS и 2.6.35 LTS. Вот на 2.6.30 может не собраться модуль, написанный для 2.6.25 LTS, хотя должен на .26 .27. 28 ... .34

    Убедился на личном опыте. То поле структуры переименуют, то еще что-то и т.д.
    Будь сейчас хотябы некая официальная явная стабилизация на некоторые осмысленные промежутки времени, то DKMS помог бы решить проблему.

    Сейчас же сторонние модули, пусть для них есть открытый исходный код, "чувствуют" себя очень неуверенно...
    Проблема существует, мешает и должна быть решена.
    stable API nonsense - факт, согласен, но не до такой же степени ^_^

     
     
  • 2.19, pavlinux (ok), 02:37, 19/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    >> Опять двадцатьпять. Сколько раз говорили про stable api nonsence? Думаете, просто так выделяют LTS ветки ядра? Всё, о чём Вы только подумали, уже давно обсудили умные дяди и решили чего и как делать.
    > LTS ветки ядра Linux? Слышали о таких. Однако совместимость исходного кода стороннего
    > модуля ядра НЕ гарантирована в рамках одной ветки до следующей LTS.
    > Например, 2.6.15 LTS -> 2.6.25 LTS и 2.6.35 LTS. Вот на
    > 2.6.30 может не собраться модуль, написанный для 2.6.25 LTS, хотя должен
    > на .26 .27. 28 ... .34

    Зачем полез на kernel.org ?

    То что АИ98 не подходит к "копейке" почему-то не жалуются.
    Зато некоторые даже хотя драйвер SATA на PCI-X с поддержкой 2Тб под MSDOS
    и ещё ведь надо объяснить что, адресация памяти и драйвер SAТА почти не связаны.
    Кстати, никто не желает показать высший пилотаж ассемблера под DOS? 2 мильона дают.

     
     
  • 3.23, Аноним (-), 08:38, 19/12/2010 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >Зачем полез на kernel.org ?

    Надо было и полез.

    И как все выше-ниже сказанное оправдывает то, что Линакс болван который не может сразу нормально давать имена апишкам и каждый день их перетряхивает?

     
     
  • 4.26, pavlinux (ok), 13:24, 19/12/2010 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >>Зачем полез на kernel.org ?
    > Надо было и полез.

    Ну вот, надо было и ипись теперь! :)

     
     
  • 5.27, Аноним (-), 15:04, 19/12/2010 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Так счастья полные штаны не только у одного человека, Линус одарил таким счастьем кучу дрова-писателей.
     
     
  • 6.28, pavlinux (ok), 15:19, 19/12/2010 [^] [^^] [^^^] [ответить]  
  • –3 +/
    > Так счастья полные штаны не только у одного человека, Линус одарил таким
    > счастьем кучу дрова-писателей.

    У всех всё работает.
    У кого руки не из ж..пы, напирмер Realtel, Intel, Qlogic, Adaptec ну и конечно Nvidia.


        

     
     
  • 7.30, Аноним (-), 18:17, 19/12/2010 [^] [^^] [^^^] [ответить]  
  • +2 +/
    а руки тут не причем, тут тупое отслеживание и гоблинская работа по правкам.
     
     
  • 8.31, pavlinux (ok), 01:24, 20/12/2010 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Ну и мозг конечно, его никто не отменял ... текст свёрнут, показать
     

  • 1.34, gluk (?), 15:38, 21/12/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    # zpool upgrade -v
    This system is currently running ZFS pool version 28.

    если кому-то еще нужно
    жаль конечно, что до 31-й не обновили
    бум ждать.....

     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Inferno Solutions
    Ideco
    A-Real
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2021 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру